%global pypi_name XStatic-Font-Awesome
%global _description %{expand:
Font Awesome icons packaged for setuptools (easy_install) / pip.
This package is intended to be used by **any** project that needs these files.
It intentionally does **not** provide any extra code except some metadata
**nor** has any extra requirements. You MAY use some minimal support code from
the XStatic base package, if you like.
You can find more info about the xstatic packaging way in the package `XStatic`.}

Summary:        Font-Awesome 4.7.0 (XStatic packaging standard)
Name:           python-%{pypi_name}
# Only used by openstack-dashboard, the version number is determined
# according to the requirements of openstack-dashboard
Version:        4.7.0.0
Release:        1%{?dist}
License:        OFL-1.1-RFN
URL:            https://github.com/FortAwesome/Font-Awesome
Source0:        %pypi_source

BuildArch:       noarch

%description %{_description}

%package -n python3-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python3-devel python3-setuptools

%description -n python3-%{pypi_name} %{_description}

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%{python3_sitelib}/*

%changelog
* Sun Oct 08 2023 Miaojun Dong <zoedong@tencent.com> - 4.7.0.0-6
- Downgrade version to 4.7.0.0 to meet the openstack-dashboard-23.0.0 BuildRequirement

* Fri Sep 22 2023 Wang Guodong <gordonwwang@tencent.com> - 6.2.1.1-1
- Upgrade to version 6.2.1.1

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.7.0.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.7.0.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.7.0.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Apr 21 2023 kianli <kianli@tencent.com> - 4.7.0.0-2
- downgrade to 4.7.0.0

* Tue Apr 18 2023 kianli <kianli@tencent.com> - 6.2.1.1-1
- initial build
